Skip to main content
POST
/
index.php
/
api
/
dakota
cURL
curl --request POST \
  --url https://marketplace-as-a-service.herokuapp.com/index.php/api/dakota \
  --header 'Content-Type: text/plain' \
  --header 'Oauth-Token: <api-key>' \
  --data '<JSON example>'

Documentation Index

Fetch the complete documentation index at: https://docs.dakota.com/llms.txt

Use this file to discover all available pages before exploring further.

How to Use

  1. Copy any of the JSON examples below.
  2. Go to the API playground by clicking on the “Try it” button.
  3. Paste the JSON into the request body field.
  4. Click “Send” button to execute the request.

Examples

Count Investment Holding Records

{
  "module": "investment_holdings",
  "count_only": "1"
}

List All Investment Holdings

{
  "module": "investment_holdings"
}

List Investment Holdings with Specific Fields

{
  "module": "investment_holdings",
  "filters": {
    "fields": [
      "sfid",
      "name",
      "account__c",
      "fund_balance__c",
      "investment_income__c",
      "date_acquired__c",
      "lastmodifieddate"
    ],
    "order_by": "lastmodifieddate:DESC",
    "max_num": "10"
  }
}

Filter Holdings by Account ID

{
  "module": "investment_holdings",
  "filters": {
    "filter": [
      {
        "account__c": {
          "$equals": "0016O00003gCdorQAC"
        }
      }
    ]
  }
}

Filter Holdings by Asset Class

{
  "module": "investment_holdings",
  "filters": {
    "filter": [
      {
        "asset_class__c": {
          "$equals": "Fixed Income"
        }
      }
    ]
  }
}

Filter Holdings by Date Modified (Date Range)

{
  "module": "investment_holdings",
  "filters": {
    "filter": [
      {
        "lastmodifieddate": {
          "$between": ["2026-01-01T00:00:00+00:00", "2026-03-31T23:59:59+00:00"]
        }
      }
    ],
    "fields": ["sfid", "name", "account__c", "fund_balance__c", "lastmodifieddate"]
  }
}

Filter Holdings by Fund Balance Greater Than

{
  "module": "investment_holdings",
  "filters": {
    "filter": [
      {
        "fund_balance__c": {
          "$gt": "1000000"
        }
      }
    ]
  }
}

Authorizations

Oauth-Token
string
header
required

Get the OAuth token by calling the /oauth2 authentication API. Use the access_token from the response to authorize your API requests.

Body

text/plain

Copy any of the JSON examples and paste it into the request body field.